# Instructions for Installing Ladybug + Honeybee:

##### Follow initial steps 0-5 for Ladybug functionality and additional 6-9 for full functionality.


### LADYBUG

0. If you have an old version of LB+HB, download the file [here](http://hydrashare.github.io/hydra/viewer?owner=mostaphaRoudsari&fork=hydra_1&id=Remove_Ladybug_and_Honeybee) and open it in Grasshopper to remove your old Ladybug  and Honeybee version.

1. Make sure that you have a working copy of both Rhino and Grasshopper installed.

2. Open Rhino and type "Grasshopper" into the command line (without quotations). Wait for grasshopper to load.

3. Install GHPython 0.6.0.3 by downloading the file [here](http://www.food4rhino.com/app/ghpython) and drag the .gha file onto the Grasshopper canvas.

4. Select and drag all of the userObject files (downloaded with this instructions file) onto your Grasshopper canvas. You should see Ladybug and Honeybee appear as tabs on the grasshopper tool bar.  If you are reading this instruction on github you can download the LB+HB components by following [this link](http://www.food4rhino.com/project/ladybug-honeybee)

5. Restart Rhino and Grasshopper. You now have a fully-functioning Ladybug.  For Honeybee, continue to the following:


### HONEYBEE

6. Install Radiance to C:\Radiance by downloading it from [this link](https://github.com/NREL/Radiance/releases) and running the exe.

7. Install Daysim 4.0 for Windows to C:\DAYSIM by downloading it at [this link](http://daysim.ning.com/page/download) and running the exe.

8. Install the Latest OpenStudio by downloading and running the .exe file from [this link](https://www.openstudio.net/downloads).

9. Finally, copy [falsecolor2.exe](https://github.com/mostaphaRoudsari/honeybee/blob/master/resources/falsecolor2.exe?raw=true) to C:\Radiance\bin


You now have a fully-working version of Ladybug + Honeybee.  Get started visualizing weather data with [these video tutorials](https://www.youtube.com/playlist?list=PLruLh1AdY-Sj_XGz3kzHUoWmpWDXNep1O).
